Subject: Re: [PATCH] Add 'git fast-export', the sister of 'git fast-import'

From: Jakub Narebski <[email-masked]>
Date: Wed, 28 Nov 2007 13:56:05 +0100

Johannes Schindelin wrote:
> On Wed, 28 Nov 2007, Jakub Narebski wrote:
 
>> Yes, I could reencode commit messages...
> 
> Right.
> 
>> P.S. One nice use of proposed (at one time) 'note' header would be to 
>> save revision identifier from the version control system you import (CVS 
>> revision number, Subversion sequential revision number, etc.).
> 
> Why not put it into the commit message?  It is not information that git 
> uses, so it does not belong into the commit header IMO.  (IIRC I made the 
> same point already at the time 'note' was discussed.)

There are no problems if communication is only in one direction,
i.e. if it is only import to git repository. If communication is
two-directional, for example importing CVS repository into git
and using git-cvsserver, or using Subversion repository with the
help of git-svn, you would want commit messages preserved exactly.
This includes not adding information about original revision id
to commit message, and not recoding commit message to other encoding.

Just a thought...

-- 
Jakub Narebski
Poland